CacheMissMetrics (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.metrics

## Class CacheMissMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.CacheMissMetrics

-     public class CacheMissMetrics
      extends java.lang.Object

  Metrics for `ICache`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.codahale.metrics.Gauge<java.lang.Long>` | `capacity` Cache capacity in bytes
    `com.codahale.metrics.Gauge<java.lang.Integer>` | `entries` Total number of cache entries
    `com.codahale.metrics.Gauge<java.lang.Double>` | `fifteenMinuteHitRate` 15m hit rate
    `com.codahale.metrics.Gauge<java.lang.Double>` | `fiveMinuteHitRate` 5m hit rate
    `com.codahale.metrics.Gauge<java.lang.Double>` | `hitRate` all time cache hit rate
    `com.codahale.metrics.Meter` | `misses` Total number of cache hits
    `com.codahale.metrics.Timer` | `missLatency` Latency of misses
    `com.codahale.metrics.Gauge<java.lang.Double>` | `oneMinuteHitRate` 1m hit rate
    `com.codahale.metrics.Meter` | `requests` Total number of cache requests
    `com.codahale.metrics.Gauge<java.lang.Long>` | `size` Total size of cache, in bytes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheMissMetrics(java.lang.String type, CacheSize cache)` Create metrics for given cache.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### capacity

          public final com.codahale.metrics.Gauge<java.lang.Long> capacity

      Cache capacity in bytes

    - #### misses

          public final com.codahale.metrics.Meter misses

      Total number of cache hits

    - #### requests

          public final com.codahale.metrics.Meter requests

      Total number of cache requests

    - #### missLatency

          public final com.codahale.metrics.Timer missLatency

      Latency of misses

    - #### hitRate

          public final com.codahale.metrics.Gauge<java.lang.Double> hitRate

      all time cache hit rate

    - #### oneMinuteHitRate

          public final com.codahale.metrics.Gauge<java.lang.Double> oneMinuteHitRate

      1m hit rate

    - #### fiveMinuteHitRate

          public final com.codahale.metrics.Gauge<java.lang.Double> fiveMinuteHitRate

      5m hit rate

    - #### fifteenMinuteHitRate

          public final com.codahale.metrics.Gauge<java.lang.Double> fifteenMinuteHitRate

      15m hit rate

    - #### size

          public final com.codahale.metrics.Gauge<java.lang.Long> size

      Total size of cache, in bytes

    - #### entries

          public final com.codahale.metrics.Gauge<java.lang.Integer> entries

      Total number of cache entries

  - ### Constructor Detail

    - #### CacheMissMetrics

          public CacheMissMetrics(java.lang.String type,
                                  CacheSize cache)

      Create metrics for given cache.
      Parameters:
        `type` - Type of Cache to identify metrics.
        `cache` - Cache to measure metrics

  - ### Method Detail

    - #### reset

          public void reset()

Copyright © 2018 The Apache Software Foundation